{
  "name": "jhipster-mono-react-application",
  "version": "0.0.1-SNAPSHOT",
  "private": true,
  "description": "Description for jhipsterMonoReactApplication",
  "license": "UNLICENSED",
  "scripts": {
    "app:start": "./mvnw",
    "backend:build-cache": "./mvnw dependency:go-offline",
    "backend:debug": "./mvnw -Dspring-boot.run.jvmArguments=\"-agentlib:jdwp=transport=dt_socket,server=y,suspend=n,address=*:8000\"",
    "backend:doc:test": "./mvnw -ntp javadoc:javadoc --batch-mode",
    "backend:info": "./mvnw -ntp enforcer:display-info --batch-mode",
    "backend:nohttp:test": "./mvnw -ntp checkstyle:check --batch-mode",
    "backend:start": "./mvnw -Dskip.installnodenpm -Dskip.npm",
    "backend:unit:test": "./mvnw -ntp -Dskip.installnodenpm -Dskip.npm verify --batch-mode -Dlogging.level.ROOT=OFF -Dlogging.level.org.zalando=OFF -Dlogging.level.tech.jhipster=OFF -Dlogging.level.com.mycompany.myapp=OFF -Dlogging.level.org.springframework=OFF -Dlogging.level.org.springframework.web=OFF -Dlogging.level.org.springframework.security=OFF",
    "build": "npm run webapp:prod --",
    "build-watch": "concurrently 'npm run webapp:build:dev -- --watch' npm:backend:start",
    "ci:backend:test": "npm run backend:info && npm run backend:doc:test && npm run backend:nohttp:test && npm run backend:unit:test -- -P$npm_package_config_default_environment",
    "ci:e2e:package": "npm run java:$npm_package_config_packaging:$npm_package_config_default_environment -- -Pe2e -Denforcer.skip=true",
    "ci:e2e:prepare": "npm run ci:e2e:prepare:docker",
    "ci:e2e:prepare:docker": "npm run docker:db:up && npm run docker:others:up && docker ps -a",
    "ci:e2e:run": "concurrently -k -s first \"npm run ci:e2e:server:start\" \"npm run e2e:headless\"",
    "preci:e2e:server:start": "npm run docker:db:await --if-present && npm run docker:others:await --if-present",
    "ci:e2e:server:start": "java -jar target/e2e.$npm_package_config_packaging --spring.profiles.active=$npm_package_config_default_environment -Dlogging.level.ROOT=OFF -Dlogging.level.org.zalando=OFF -Dlogging.level.tech.jhipster=OFF -Dlogging.level.com.mycompany.myapp=OFF -Dlogging.level.org.springframework=OFF -Dlogging.level.org.springframework.web=OFF -Dlogging.level.org.springframework.security=OFF --logging.level.org.springframework.web=ERROR",
    "ci:e2e:teardown": "npm run ci:e2e:teardown:docker",
    "ci:e2e:teardown:docker": "npm run docker:db:down --if-present && npm run docker:others:down && docker ps -a",
    "ci:frontend:test": "npm run webapp:build:$npm_package_config_default_environment && npm run test-ci",
    "ci:server:await": "echo \"Waiting for server at port $npm_package_config_backend_port to start\" && wait-on http-get://localhost:$npm_package_config_backend_port/management/health && echo \"Server at port $npm_package_config_backend_port started\"",
    "clean-www": "rimraf target/classes/static/app/{src,target/}",
    "cleanup": "rimraf target/classes/static/",
    "docker:app:up": "docker-compose -f src/main/docker/app.yml up -d",
    "docker:db:down": "docker-compose -f src/main/docker/mysql.yml down -v --remove-orphans",
    "docker:db:up": "docker-compose -f src/main/docker/mysql.yml up -d",
    "docker:elasticsearch:down": "docker-compose -f src/main/docker/elasticsearch.yml down -v --remove-orphans",
    "docker:elasticsearch:up": "docker-compose -f src/main/docker/elasticsearch.yml up -d",
    "docker:jhipster-registry:down": "docker-compose -f src/main/docker/jhipster-registry.yml down -v --remove-orphans",
    "docker:jhipster-registry:up": "docker-compose -f src/main/docker/jhipster-registry.yml up -d",
    "docker:kafka:down": "docker-compose -f src/main/docker/kafka.yml down -v --remove-orphans",
    "docker:kafka:up": "docker-compose -f src/main/docker/kafka.yml up -d",
    "docker:others:await": "echo \"Waiting for Elasticsearch to start\" && wait-on \"http-get://localhost:9200/_cluster/health?wait_for_status=green&timeout=60s\" && echo \"Elasticsearch started\" && echo \"Waiting for jhipster-registry to start\" && wait-on http-get://localhost:8761/management/health && echo \"jhipster-registry started\"",
    "docker:others:down": "npm run docker:elasticsearch:down && npm run docker:kafka:down && npm run docker:jhipster-registry:down",
    "predocker:others:up": "",
    "docker:others:up": "npm run docker:elasticsearch:up && npm run docker:kafka:up && npm run docker:jhipster-registry:up",
    "e2e": "npm run e2e:protractor --",
    "e2e:dev": "concurrently -k -s first \"./mvnw\" \"npm run e2e\"",
    "e2e:devserver": "concurrently -k -s first \"npm run backend:start\" \"npm start\" \"wait-on http-get://localhost:9000 && npm run e2e:headless -- -c baseUrl=http://localhost:9000\"",
    "pree2e:headless": "npm run ci:server:await",
    "e2e:headless": "npm run e2e:protractor:headless --",
    "e2e:protractor": "protractor src/test/javascript/protractor.conf.js",
    "e2e:protractor:headless": "npm run e2e:protractor --",
    "e2e:update-webdriver": "webdriver-manager update --gecko false",
    "postinstall": "npm run e2e:update-webdriver",
    "java:docker": "./mvnw -ntp verify -DskipTests -Pprod jib:dockerBuild",
    "java:docker:arm64": "npm run java:docker -- -Djib-maven-plugin.architecture=arm64",
    "java:docker:dev": "npm run java:docker -- -Pdev,webapp",
    "java:docker:prod": "npm run java:docker -- -Pprod",
    "java:jar": "./mvnw -ntp verify -DskipTests --batch-mode",
    "java:jar:dev": "npm run java:jar -- -Pdev,webapp",
    "java:jar:prod": "npm run java:jar -- -Pprod",
    "java:war": "./mvnw -ntp verify -DskipTests --batch-mode -Pwar",
    "java:war:dev": "npm run java:war -- -Pdev,webapp",
    "java:war:prod": "npm run java:war -- -Pprod",
    "jest": "jest --coverage --logHeapUsage --maxWorkers=2 --config jest.conf.js",
    "jest:update": "npm run jest -- --updateSnapshot",
    "lint": "eslint . --ext .js,.ts,.jsx,.tsx",
    "lint:fix": "npm run lint -- --fix",
    "prepare": "husky install",
    "prettier:check": "prettier --check \"{,src/**/,webpack/}*.{md,json,yml,html,cjs,mjs,js,ts,tsx,css,scss,java}\"",
    "prettier:format": "prettier --write \"{,src/**/,webpack/}*.{md,json,yml,html,cjs,mjs,js,ts,tsx,css,scss,java}\"",
    "start": "npm run webapp:dev --",
    "start-tls": "npm run webapp:dev -- --env.tls",
    "pretest": "npm run lint",
    "test": "npm run jest --",
    "test-ci": "npm run lint && npm run jest:update --",
    "test:watch": "npm run jest -- --watch",
    "webapp:build": "npm run clean-www && npm run webapp:build:dev --",
    "webapp:build:dev": "webpack --config webpack/webpack.dev.js --env stats=minimal",
    "webapp:build:prod": "webpack --config webpack/webpack.prod.js --progress=profile",
    "webapp:dev": "npm run webpack-dev-server -- --config webpack/webpack.dev.js --env stats=minimal",
    "webapp:dev-verbose": "npm run webpack-dev-server -- --config webpack/webpack.dev.js --progress=profile --env stats=normal",
    "webapp:prod": "npm run clean-www && npm run webapp:build:prod --",
    "webapp:test": "npm run test --",
    "webpack-dev-server": "webpack serve"
  },
  "config": {
    "backend_port": "8080",
    "default_environment": "prod",
    "packaging": "jar"
  },
  "dependencies": {
    "@fortawesome/fontawesome-svg-core": "1.2.36",
    "@fortawesome/free-solid-svg-icons": "5.15.4",
    "@fortawesome/react-fontawesome": "0.1.16",
    "@reduxjs/toolkit": "1.7.1",
    "axios": "0.24.0",
    "bootstrap": "5.1.3",
    "dayjs": "1.10.7",
    "lodash": "4.17.21",
    "path-browserify": "1.0.1",
    "react": "17.0.2",
    "react-dom": "17.0.2",
    "react-hook-form": "7.22.5",
    "react-jhipster": "0.18.0",
    "react-loadable": "5.5.0",
    "react-redux": "7.2.6",
    "react-redux-loading-bar": "5.0.2",
    "react-router-dom": "5.3.0",
    "react-toastify": "8.1.0",
    "react-transition-group": "4.4.2",
    "reactstrap": "9.0.1",
    "redux": "4.1.2",
    "redux-thunk": "2.4.1",
    "rxjs": "6.6.3",
    "sockjs-client": "1.5.0",
    "tslib": "2.3.1",
    "uuid": "8.3.2",
    "webstomp-client": "1.2.6"
  },
  "devDependencies": {
    "@testing-library/react": "12.1.2",
    "@types/chai": "4.2.11",
    "@types/jest": "27.4.0",
    "@types/lodash": "4.14.178",
    "@types/mocha": "7.0.2",
    "@types/node": "16.11.17",
    "@types/react": "17.0.38",
    "@types/react-dom": "17.0.11",
    "@types/react-redux": "7.1.21",
    "@types/react-router-dom": "5.3.2",
    "@types/redux": "3.6.31",
    "@types/selenium-webdriver": "4.0.9",
    "@types/webpack-env": "1.16.3",
    "@typescript-eslint/eslint-plugin": "5.8.1",
    "@typescript-eslint/parser": "5.8.1",
    "autoprefixer": "10.4.1",
    "browser-sync": "2.27.7",
    "browser-sync-webpack-plugin": "2.3.0",
    "chai": "4.2.0",
    "chai-as-promised": "7.1.1",
    "concurrently": "6.5.1",
    "copy-webpack-plugin": "10.2.0",
    "core-js": "3.20.1",
    "cross-env": "7.0.3",
    "css-loader": "6.5.1",
    "css-minimizer-webpack-plugin": "3.3.1",
    "eslint": "8.5.0",
    "eslint-config-prettier": "8.3.0",
    "eslint-plugin-react": "7.28.0",
    "eslint-webpack-plugin": "3.1.1",
    "folder-hash": "4.0.1",
    "fork-ts-checker-webpack-plugin": "6.5.0",
    "generator-jhipster": "7.5.0",
    "html-webpack-plugin": "5.5.0",
    "husky": "7.0.4",
    "identity-obj-proxy": "3.0.0",
    "jest": "27.4.5",
    "jest-junit": "13.0.0",
    "jest-sonar-reporter": "2.0.0",
    "json-loader": "0.5.7",
    "lint-staged": "12.1.4",
    "merge-jsons-webpack-plugin": "2.0.1",
    "mini-css-extract-plugin": "2.4.5",
    "mocha": "7.1.2",
    "postcss-loader": "6.2.1",
    "prettier": "2.5.1",
    "prettier-plugin-java": "1.6.0",
    "prettier-plugin-packagejson": "2.2.15",
    "protractor": "7.0.0",
    "react-infinite-scroll-component": "6.1.0",
    "redux-mock-store": "1.5.4",
    "rimraf": "3.0.2",
    "sass": "1.45.2",
    "sass-loader": "12.4.0",
    "simple-progress-webpack-plugin": "2.0.0",
    "sinon": "12.0.1",
    "source-map-loader": "3.0.0",
    "sourcemap-istanbul-instrumenter-loader": "0.2.0",
    "style-loader": "3.3.1",
    "swagger-ui-dist": "4.1.3",
    "terser-webpack-plugin": "5.3.0",
    "thread-loader": "3.0.4",
    "ts-jest": "27.1.2",
    "ts-loader": "9.2.6",
    "ts-node": "8.9.1",
    "typescript": "4.5.4",
    "wait-on": "6.0.0",
    "webdriver-manager": "12.1.8",
    "webpack": "5.65.0",
    "webpack-cli": "4.9.1",
    "webpack-dev-server": "4.7.2",
    "webpack-merge": "5.8.0",
    "webpack-notifier": "1.15.0",
    "workbox-webpack-plugin": "6.4.2"
  },
  "engines": {
    "node": ">=16.13.1"
  },
  "cacheDirectories": [
    "node_modules"
  ],
  "jestSonar": {
    "reportPath": "target/test-results/jest",
    "reportFile": "TESTS-results-sonar.xml"
  }
}
